Method: projects.locations.brands.create

Creates a brand.

HTTP request

POST https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*}/brands

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of brands. Format: projects/{project}/locations/{location}

Query parameters

Parameters
brandId

string

Optional. The ID to use for the brand, which will become the final component of the brand's resource name.

This value should only contain lower-case letters, numbers, and hyphen, with the first and last character a letter or a number, and a 63 character maximum.

Request body

The request body contains an instance of Brand.

Response body

If successful, the response body contains a newly created instance of Brand.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.